> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding Status

> Derives the caller's Rain card onboarding step, refreshing application status from Rain and persisting changes.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-onboarding-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-onboarding-status:
    get:
      operationId: getOnboardingStatus
      summary: Get Onboarding Status
      description: >-
        Derives the caller's Rain card onboarding step, refreshing application
        status from Rain and persisting changes.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOnboardingStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOnboardingStatusResponse:
      type: object
      properties:
        step:
          type: string
          enum:
            - country-selection
            - personal-info
            - verification
            - agreements
            - issue-card
            - complete
        countryFlowType:
          type: string
          enum:
            - US
            - INTERNATIONAL
        applicationStatus:
          type: string
        verificationUrl:
          type:
            - string
            - 'null'
        verificationParams:
          type: object
          additionalProperties:
            type: string
        missingAgreements:
          type: array
          items:
            type: string
        applicationReason:
          type: string
      required:
        - step
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
